www.cendio.com
Bug 7337 - SLE 15 system type not detected by installer
: SLE 15 system type not detected by installer
Status: CLOSED FIXED
: ThinLinc
Server Installer
: trunk
: PC Unknown
: P2 Normal
: 4.10.1
Assigned To:
:
:
:
: 7336
  Show dependency treegraph
 
Reported: 2019-04-25 11:20 by
Modified: 2019-07-02 15:51 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2019-04-25 11:20:22
tl-setup fails to identify which system it is on:

> 2019-04-25 13:11:27,214: *** tl-setup started ***
> 2019-04-25 13:11:27,214: Architecture: x86_64
> 2019-04-25 13:11:27,214: Distribution: None
> 2019-04-25 13:11:27,214: Distribution version: None
> 2019-04-25 13:11:27,214: Distribution family: None

This breaks some functionality, like the package installer.
------- Comment #1 From cendio 2019-04-25 11:24:59 -------
Seems like there is a new standard for identifying the distribution that SUSE
is following:

https://www.freedesktop.org/software/systemd/man/os-release.html
------- Comment #4 From cendio 2019-06-26 08:56:43 -------
All done and works well.

Parsing os-release is now the preferred method, so tester should check that the
popular distributions are still identified correctly. Remember to check derived
systems, such as CentOS or Xubuntu.
------- Comment #5 From cendio 2019-07-02 15:51:59 -------
Looks good.

Verified that I could reproduce the problem on SLES 15 with 4.10.0 and that it
is fixed now in build 6172.

I also verified that CentOS 7 and Xubuntu 18.04 were identified correctly:

Xubuntu:

2019-07-02 15:26:54,219: Architecture: x86_64
2019-07-02 15:26:54,219: Distribution: Ubuntu
2019-07-02 15:26:54,219: Distribution version: 18.04
2019-07-02 15:26:54,220: Distribution family: Ubuntu

CentOS:

2019-07-02 14:54:22,231: Architecture: x86_64
2019-07-02 14:54:22,231: Distribution: None
2019-07-02 14:54:22,231: Distribution version: None
2019-07-02 14:54:22,232: Distribution family: RHEL

SLES:

2019-07-02 14:44:02,336: Architecture: x86_64
2019-07-02 14:44:02,336: Distribution: SLES
2019-07-02 14:44:02,336: Distribution version: 15
2019-07-02 14:44:02,338: Distribution family: SLE